function protein_term_graph(s)
% Function that creates the Protein-Term networks where nodes can be proteins and terms
% two nodes are connected if two proteins share interaction or protein is assigned with term
% 240 random proteins are selected, and for each of these proteins a new network is generated
% where connections with terms for the selected protein are removed from the network
% Each of these proteins is later used as a query protein 

	network = [];
	not = ceil(size(s.gene2term, 1 )*rand(1, 240)); % select random indexes for proteins
	fprintf([num2str(not) ' \t']);
	gene = s.intx; % matrix with genes interactions
	term = s.gene2term; % matrix with genes and terms annotations
	for n=1:size(not, 2)
		network = [];
		fid = fopen(strcat('../newNot/net-', num2str(not(n)) , '.txt' ) , 'w');
		for i=1:size(gene,1)  % add the proteins interactions
		  for j=1:size(gene,2)
			if(gene(i,j)>0 && i<j)
			  tmp = [i,j];
			  network = [ network ; tmp  ];
			end
		  end
		end
		for i=1:size(term,1) % add the protein-term annotations
		  for j=1:size(term,2)
			if(term(i,j)>0)
			  if(i==not(n))  % skip the annotations for the query protein
				  continue
			  end
			   tmp = [i, j+(size(gene,1))];
			   network = [ network ; tmp ];
			end
		  end
		end
		M = sortrows(network);
		dlmwrite(strcat('../newNot/net-', num2str(not(n)), '.txt'  ) , M, ' ');
		fclose(fid);
	end
end